You are not logged in.

#176 2018-03-16 03:38:56

gee
Member
Registered: 2006-11-29
Posts: 276

Re: mesa-git - latest videodrivers & issues

lordheavy wrote:
gee wrote:

Hmm, is there a good reason why mesa-git now requires a music player (tizonia) to be installed?

Because mesa-git will now be built with tizonia support instead of openmax smile

Thank you for getting a core package now, that makes more sense to me than my GPU driver depending on libspotify smile

Offline

#177 2018-04-26 16:01:55

gee
Member
Registered: 2006-11-29
Posts: 276

Re: mesa-git - latest videodrivers & issues

gee wrote:

@lordheavy: just an idea because of an issue I had with current llvm-svn, but wouldn't it be better to only offer the newer llvm packages if the mesa packages compile fine with it?

Similarly it's kind of weird to see lib32-mesa-git offered an update but not mesa-git.

Offline

#178 2018-04-26 16:50:25

lordheavy
Developer
From: France
Registered: 2010-04-01
Posts: 274

Re: mesa-git - latest videodrivers & issues

gee wrote:
gee wrote:

@lordheavy: just an idea because of an issue I had with current llvm-svn, but wouldn't it be better to only offer the newer llvm packages if the mesa packages compile fine with it?

Similarly it's kind of weird to see lib32-mesa-git offered an update but not mesa-git.

You can't update llvm after you build mesa packages otherwise you could have broken rendering with radeonsi drivers. Currently opencl is broken because of llvm-svn, so i have temporary disabled the building of opencl package (opencl-mesa-git package is empty) until it's fixed upstream

Offline

#179 2018-04-26 17:14:06

gee
Member
Registered: 2006-11-29
Posts: 276

Re: mesa-git - latest videodrivers & issues

lordheavy wrote:

You can't update llvm after you build mesa packages otherwise you could have broken rendering with radeonsi drivers.

I don't understand what you mean, I currently can clearly update only llvm from your repository, even if may break radeonsi.
(I usually don't, until I forget and that's of course when I must follow by a pacman -Sc hmm )

lordheavy wrote:

Currently opencl is broken because of llvm-svn, so i have temporary disabled the building of opencl package (opencl-mesa-git package is empty) until it's fixed upstream

I assumed it was some stuff that was not in 32b, but I did not feel confident enough to install it anyway. smile

Offline

#180 2018-04-26 17:20:44

lordheavy
Developer
From: France
Registered: 2010-04-01
Posts: 274

Re: mesa-git - latest videodrivers & issues

gee wrote:
lordheavy wrote:

You can't update llvm after you build mesa packages otherwise you could have broken rendering with radeonsi drivers.

I don't understand what you mean, I currently can clearly update only llvm from your repository, even if may break radeonsi.
(I usually don't, until I forget and that's of course when I must follow by a pacman -Sc hmm )

Oh, yes, i mean when i build mesa-git, i need to build llvm-svn first because radeonsi depends on some bytecode generated by llvm (and this bytecode can change after an update of llvm),
so you can't know if mesa-git building will fail because of a change in llvm-svn.

Offline

#181 2018-04-26 17:55:34

gee
Member
Registered: 2006-11-29
Posts: 276

Re: mesa-git - latest videodrivers & issues

lordheavy wrote:

Oh, yes, i mean when i build mesa-git, i need to build llvm-svn first because radeonsi depends on some bytecode generated by llvm (and this bytecode can change after an update of llvm),
so you can't know if mesa-git building will fail because of a change in llvm-svn.

Yes I understand that, but you could delay the offering of the llvm package, or make mesa depend on the exact package it was built against.
The latter seems better, yet it would mean that right now it'd be impossible to install mesa-git, so maybe not.
It's not a big deal, that was just a suggestion of course.

Offline

#182 2018-05-15 03:22:04

afzalarsalan
Member
Registered: 2011-06-12
Posts: 6

Re: mesa-git - latest videodrivers & issues

@lordheavy I think the GPU drivers need their PKGBUILD updated to show support for the new Xorg 1.20 release. I'm pretty sure the ABI should already be supported and just need to be recompiled but I definately could be wrong on that one.

Offline

#183 2018-05-22 17:09:00

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 5,988

Re: mesa-git - latest videodrivers & issues

Second build failure with opencl / llvm-svn changes in a few weeks, see https://bugs.freedesktop.org/show_bug.cgi?id=106619

LordHeavy, you may want to delay updating llvm-svn in your repo.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

Board footer

Powered by FluxBB